use chrono::{DateTime, Utc};
use megalodon::entities::Status;

#[derive(Debug)]
pub(super) struct Page<'a> {
    pub oldest_id: Option<String>,
    pub oldest: Option<&'a DateTime<Utc>>,
    pub newest: Option<&'a DateTime<Utc>>,
}

pub(super) fn bounds_from<'a>(statuses: &'a Vec<Status>) -> Page<'a> {
    Page {
        newest: statuses.first().map(|s| &s.created_at),
        oldest_id: statuses.last().map(|s| s.id.clone()),
        oldest: statuses.last().map(|s| &s.created_at),
    }
}
